<template lang="pug">
div
  .dropdown(v-if="!caret")
    a.btn.dropdown-toggle(tabindex="0" :disabled="disabled" :class="{ 'btn-link': variant == 'link', 'btn-primary': variant != 'link' }")
      slot
    ul.menu.text-left
      slot(name="container")
  .dropdown(v-else)
    .btn-group
      LongpressButton.btn(
          type="submit"
          duration="1"
          :onConfirm="onConfirm"
          tabindex="0" :disabled="disabled" :class="{ 'btn-link': variant == 'link', 'btn-primary': variant != 'link' }")
        slot
      a.btn.dropdown-toggle(tabindex="0" :disabled="disabled" :class="{ 'btn-link': variant == 'link', 'btn-primary': variant != 'link' }")
        i.material-icons(style="margin-right:0;padding-left:0;padding-right:0;") arrow_drop_down
      ul.menu.text-left
        slot(name="container")
</template>

<script>
import LongpressButton from '~/components/LongpressButton'

export default {
  components: {
    LongpressButton
  },
  props: {
    disabled: [Boolean],
    variant: {
      type: String,
      default: 'link'
    },
    caret: {
      type: Boolean,
      default: false
    },
    onConfirm: {
      type: Function,
      default: () => {}
    }
  }
}
</script>

<style scoped>
a i {
  margin-right: 0.6rem;
}
button.btn-link,
a.btn-link {
  color: rgba(var(--color-text), 1) !important;
}
button.btn-primary,
a.btn-primary {
  color: rgba(var(--color-text-bright), 1) !important;
}
.menu {
  top: calc(1.7rem);

  background: rgba(var(--color-background), 1);
  z-index: 1;
}

.badge::after {
  right: -0.4rem;
}
</style>
